/**
 * Cloudhospital.ChatApi
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import type { Configuration } from '../configuration';
import type { AxiosPromise, AxiosInstance, RawAxiosRequestConfig } from 'axios';
import { type RequestArgs, BaseAPI } from '../base';
import type { ChatMessage } from '../models';
import type { ChatMessagesModel } from '../models';
import type { ChatParticipant } from '../models';
import type { ChatSendFlowMessageCommand } from '../models';
import type { ChatSendTemplateMessageCommand } from '../models';
import type { ChatSessionModel } from '../models';
import type { ChatSessionStatus } from '../models';
import type { ChatSessionsModel } from '../models';
import type { CreateChatSessionCommand } from '../models';
import type { CreateIntakeFormCommand } from '../models';
import type { IntakeForm } from '../models';
import type { IntakeFormsModel } from '../models';
import type { JoinChatSessionCommand } from '../models';
import type { MessageTypes } from '../models';
import type { PatchIntakeFormCommand } from '../models';
import type { PutChatSessionCommand } from '../models';
import type { SortBy } from '../models';
import type { TransferManagerCommand } from '../models';
/**
 * SessionsApi - axios parameter creator
 * @export
 */
export declare const SessionsApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Get all chat sessions.
     * @param {string} tenantId The tenant identifier.
     * @param {string} [id]
     * @param {Array<string>} [assigneeIds]
     * @param {Array<ChatSessionStatus>} [chatSessionStatus]
     * @param {string} [title]
     * @param {string} [userName]
     * @param {string} [userEmail]
     * @param {SortBy} [sortBy]
     * @param {boolean} [isRead]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsGet: (tenantId: string, id?: string, assigneeIds?: Array<string>, chatSessionStatus?: Array<ChatSessionStatus>, title?: string, userName?: string, userEmail?: string, sortBy?: SortBy, isRead?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a chat session.
     * @param {string} tenantId The tenant identifier.
     * @param {CreateChatSessionCommand} [createChatSessionCommand] The command to create a chat session.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsPost: (tenantId: string, createChatSessionCommand?: CreateChatSessionCommand, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Check if a chat session read message
     * @param {string} tenantId
     * @param {string} sessionId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdCheckPost: (tenantId: string, sessionId: string, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Convert a guest to a signed-in user.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdConvertsigninuserPost: (tenantId: string, sessionId: string, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete a chat session.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdDelete: (tenantId: string, sessionId: string, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get chat session by session Id.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdGet: (tenantId: string, sessionId: string, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get intake forms by session id.
     * @param {string} tenantId
     * @param {string} sessionId
     * @param {string} [id]
     * @param {string} [tenantId2]
     * @param {string} [userId]
     * @param {string} [phoneNumber]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsGet: (tenantId: string, sessionId: string, id?: string, tenantId2?: string, userId?: string, phoneNumber?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete intake form by id.
     * @param {string} tenantId
     * @param {string} sessionId
     * @param {string} intakeFormId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete: (tenantId: string, sessionId: string, intakeFormId: string, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get intake form by id.
     * @param {string} tenantId
     * @param {string} sessionId
     * @param {string} intakeFormId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet: (tenantId: string, sessionId: string, intakeFormId: string, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update intake form by id.
     * @param {string} tenantId
     * @param {string} sessionId
     * @param {string} intakeFormId
     * @param {PatchIntakeFormCommand} [patchIntakeFormCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch: (tenantId: string, sessionId: string, intakeFormId: string, patchIntakeFormCommand?: PatchIntakeFormCommand, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a new intake form.
     * @param {string} tenantId
     * @param {string} sessionId
     * @param {CreateIntakeFormCommand} [createIntakeFormCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsPost: (tenantId: string, sessionId: string, createIntakeFormCommand?: CreateIntakeFormCommand, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Join a chat session.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {JoinChatSessionCommand} [joinChatSessionCommand] The command to join a chat session.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdJoinPost: (tenantId: string, sessionId: string, joinChatSessionCommand?: JoinChatSessionCommand, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Leave a chat session.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdLeaveDelete: (tenantId: string, sessionId: string, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Send a message in a chat session.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {File} [file]
     * @param {string} [text]
     * @param {string} [mediaId]
     * @param {string} [caption]
     * @param {string} [link]
     * @param {MessageTypes} [messageType]
     * @param {string} [phoneNumber]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdMessageSendPost: (tenantId: string, sessionId: string, file?: File, text?: string, mediaId?: string, caption?: string, link?: string, messageType?: MessageTypes, phoneNumber?: string, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get messages from a chat session.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdMessagesGet: (tenantId: string, sessionId: string, page?: number, limit?: number, lastRetrieved?: Date, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Reactivate expired media in a chat message.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {string} messageId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut: (tenantId: string, sessionId: string, messageId: string, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update a chat session.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {PutChatSessionCommand} [putChatSessionCommand] The command to update a chat session.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdPatch: (tenantId: string, sessionId: string, putChatSessionCommand?: PutChatSessionCommand, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Transfer a chat session agent.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {TransferManagerCommand} [transferManagerCommand] The command to transfer a chat session.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdTransferPut: (tenantId: string, sessionId: string, transferManagerCommand?: TransferManagerCommand, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Send whatsapp flow message
     * @param {string} tenantId
     * @param {string} sessionId
     * @param {ChatSendFlowMessageCommand} [chatSendFlowMessageCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost: (tenantId: string, sessionId: string, chatSendFlowMessageCommand?: ChatSendFlowMessageCommand, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Send whatsapp template message
     * @param {string} tenantId
     * @param {string} sessionId
     * @param {ChatSendTemplateMessageCommand} [chatSendTemplateMessageCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost: (tenantId: string, sessionId: string, chatSendTemplateMessageCommand?: ChatSendTemplateMessageCommand, options?: RawAxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * SessionsApi - functional programming interface
 * @export
 */
export declare const SessionsApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Get all chat sessions.
     * @param {string} tenantId The tenant identifier.
     * @param {string} [id]
     * @param {Array<string>} [assigneeIds]
     * @param {Array<ChatSessionStatus>} [chatSessionStatus]
     * @param {string} [title]
     * @param {string} [userName]
     * @param {string} [userEmail]
     * @param {SortBy} [sortBy]
     * @param {boolean} [isRead]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsGet(tenantId: string, id?: string, assigneeIds?: Array<string>, chatSessionStatus?: Array<ChatSessionStatus>, title?: string, userName?: string, userEmail?: string, sortBy?: SortBy, isRead?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ChatSessionsModel>>;
    /**
     *
     * @summary Create a chat session.
     * @param {string} tenantId The tenant identifier.
     * @param {CreateChatSessionCommand} [createChatSessionCommand] The command to create a chat session.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsPost(tenantId: string, createChatSessionCommand?: CreateChatSessionCommand, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ChatSessionModel>>;
    /**
     *
     * @summary Check if a chat session read message
     * @param {string} tenantId
     * @param {string} sessionId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdCheckPost(tenantId: string, sessionId: string, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Convert a guest to a signed-in user.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdConvertsigninuserPost(tenantId: string, sessionId: string, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ChatSessionModel>>;
    /**
     *
     * @summary Delete a chat session.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdDelete(tenantId: string, sessionId: string, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get chat session by session Id.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdGet(tenantId: string, sessionId: string, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ChatSessionModel>>;
    /**
     *
     * @summary Get intake forms by session id.
     * @param {string} tenantId
     * @param {string} sessionId
     * @param {string} [id]
     * @param {string} [tenantId2]
     * @param {string} [userId]
     * @param {string} [phoneNumber]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsGet(tenantId: string, sessionId: string, id?: string, tenantId2?: string, userId?: string, phoneNumber?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<IntakeFormsModel>>;
    /**
     *
     * @summary Delete intake form by id.
     * @param {string} tenantId
     * @param {string} sessionId
     * @param {string} intakeFormId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete(tenantId: string, sessionId: string, intakeFormId: string, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get intake form by id.
     * @param {string} tenantId
     * @param {string} sessionId
     * @param {string} intakeFormId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet(tenantId: string, sessionId: string, intakeFormId: string, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<IntakeForm>>;
    /**
     *
     * @summary Update intake form by id.
     * @param {string} tenantId
     * @param {string} sessionId
     * @param {string} intakeFormId
     * @param {PatchIntakeFormCommand} [patchIntakeFormCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch(tenantId: string, sessionId: string, intakeFormId: string, patchIntakeFormCommand?: PatchIntakeFormCommand, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<IntakeForm>>;
    /**
     *
     * @summary Create a new intake form.
     * @param {string} tenantId
     * @param {string} sessionId
     * @param {CreateIntakeFormCommand} [createIntakeFormCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsPost(tenantId: string, sessionId: string, createIntakeFormCommand?: CreateIntakeFormCommand, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<IntakeForm>>;
    /**
     *
     * @summary Join a chat session.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {JoinChatSessionCommand} [joinChatSessionCommand] The command to join a chat session.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdJoinPost(tenantId: string, sessionId: string, joinChatSessionCommand?: JoinChatSessionCommand, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ChatParticipant>>;
    /**
     *
     * @summary Leave a chat session.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdLeaveDelete(tenantId: string, sessionId: string, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Send a message in a chat session.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {File} [file]
     * @param {string} [text]
     * @param {string} [mediaId]
     * @param {string} [caption]
     * @param {string} [link]
     * @param {MessageTypes} [messageType]
     * @param {string} [phoneNumber]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdMessageSendPost(tenantId: string, sessionId: string, file?: File, text?: string, mediaId?: string, caption?: string, link?: string, messageType?: MessageTypes, phoneNumber?: string, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ChatMessage>>;
    /**
     *
     * @summary Get messages from a chat session.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdMessagesGet(tenantId: string, sessionId: string, page?: number, limit?: number, lastRetrieved?: Date, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ChatMessagesModel>>;
    /**
     *
     * @summary Reactivate expired media in a chat message.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {string} messageId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut(tenantId: string, sessionId: string, messageId: string, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ChatMessage>>;
    /**
     *
     * @summary Update a chat session.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {PutChatSessionCommand} [putChatSessionCommand] The command to update a chat session.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdPatch(tenantId: string, sessionId: string, putChatSessionCommand?: PutChatSessionCommand, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ChatSessionsModel>>;
    /**
     *
     * @summary Transfer a chat session agent.
     * @param {string} tenantId The tenant identifier.
     * @param {string} sessionId The session identifier.
     * @param {TransferManagerCommand} [transferManagerCommand] The command to transfer a chat session.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdTransferPut(tenantId: string, sessionId: string, transferManagerCommand?: TransferManagerCommand, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ChatSessionModel>>;
    /**
     *
     * @summary Send whatsapp flow message
     * @param {string} tenantId
     * @param {string} sessionId
     * @param {ChatSendFlowMessageCommand} [chatSendFlowMessageCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost(tenantId: string, sessionId: string, chatSendFlowMessageCommand?: ChatSendFlowMessageCommand, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ChatMessage>>;
    /**
     *
     * @summary Send whatsapp template message
     * @param {string} tenantId
     * @param {string} sessionId
     * @param {ChatSendTemplateMessageCommand} [chatSendTemplateMessageCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost(tenantId: string, sessionId: string, chatSendTemplateMessageCommand?: ChatSendTemplateMessageCommand, options?: RawAxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ChatMessage>>;
};
/**
 * SessionsApi - factory interface
 * @export
 */
export declare const SessionsApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Get all chat sessions.
     * @param {SessionsApiApiV1ChatTenantIdSessionsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsGet(requestParameters: SessionsApiApiV1ChatTenantIdSessionsGetRequest, options?: RawAxiosRequestConfig): AxiosPromise<ChatSessionsModel>;
    /**
     *
     * @summary Create a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsPost(requestParameters: SessionsApiApiV1ChatTenantIdSessionsPostRequest, options?: RawAxiosRequestConfig): AxiosPromise<ChatSessionModel>;
    /**
     *
     * @summary Check if a chat session read message
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdCheckPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdCheckPost(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdCheckPostRequest, options?: RawAxiosRequestConfig): AxiosPromise<boolean>;
    /**
     *
     * @summary Convert a guest to a signed-in user.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdConvertsigninuserPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdConvertsigninuserPost(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdConvertsigninuserPostRequest, options?: RawAxiosRequestConfig): AxiosPromise<ChatSessionModel>;
    /**
     *
     * @summary Delete a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdDelete(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdDeleteRequest, options?: RawAxiosRequestConfig): AxiosPromise<boolean>;
    /**
     *
     * @summary Get chat session by session Id.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdGet(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdGetRequest, options?: RawAxiosRequestConfig): AxiosPromise<ChatSessionModel>;
    /**
     *
     * @summary Get intake forms by session id.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsGet(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsGetRequest, options?: RawAxiosRequestConfig): AxiosPromise<IntakeFormsModel>;
    /**
     *
     * @summary Delete intake form by id.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDeleteRequest, options?: RawAxiosRequestConfig): AxiosPromise<boolean>;
    /**
     *
     * @summary Get intake form by id.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGetRequest, options?: RawAxiosRequestConfig): AxiosPromise<IntakeForm>;
    /**
     *
     * @summary Update intake form by id.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatchRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatchRequest, options?: RawAxiosRequestConfig): AxiosPromise<IntakeForm>;
    /**
     *
     * @summary Create a new intake form.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsPost(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsPostRequest, options?: RawAxiosRequestConfig): AxiosPromise<IntakeForm>;
    /**
     *
     * @summary Join a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdJoinPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdJoinPost(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdJoinPostRequest, options?: RawAxiosRequestConfig): AxiosPromise<ChatParticipant>;
    /**
     *
     * @summary Leave a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdLeaveDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdLeaveDelete(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdLeaveDeleteRequest, options?: RawAxiosRequestConfig): AxiosPromise<boolean>;
    /**
     *
     * @summary Send a message in a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdMessageSendPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdMessageSendPost(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdMessageSendPostRequest, options?: RawAxiosRequestConfig): AxiosPromise<ChatMessage>;
    /**
     *
     * @summary Get messages from a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdMessagesGet(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesGetRequest, options?: RawAxiosRequestConfig): AxiosPromise<ChatMessagesModel>;
    /**
     *
     * @summary Reactivate expired media in a chat message.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePutRequest, options?: RawAxiosRequestConfig): AxiosPromise<ChatMessage>;
    /**
     *
     * @summary Update a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdPatchRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdPatch(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdPatchRequest, options?: RawAxiosRequestConfig): AxiosPromise<ChatSessionsModel>;
    /**
     *
     * @summary Transfer a chat session agent.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdTransferPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdTransferPut(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdTransferPutRequest, options?: RawAxiosRequestConfig): AxiosPromise<ChatSessionModel>;
    /**
     *
     * @summary Send whatsapp flow message
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPostRequest, options?: RawAxiosRequestConfig): AxiosPromise<ChatMessage>;
    /**
     *
     * @summary Send whatsapp template message
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPostRequest, options?: RawAxiosRequestConfig): AxiosPromise<ChatMessage>;
};
/**
 * Request parameters for apiV1ChatTenantIdSessionsGet operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsGetRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsGetRequest {
    /**
     * The tenant identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsGet
     */
    readonly tenantId: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsGet
     */
    readonly id?: string;
    /**
     *
     * @type {Array<string>}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsGet
     */
    readonly assigneeIds?: Array<string>;
    /**
     *
     * @type {Array<ChatSessionStatus>}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsGet
     */
    readonly chatSessionStatus?: Array<ChatSessionStatus>;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsGet
     */
    readonly title?: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsGet
     */
    readonly userName?: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsGet
     */
    readonly userEmail?: string;
    /**
     *
     * @type {SortBy}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsGet
     */
    readonly sortBy?: SortBy;
    /**
     *
     * @type {boolean}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsGet
     */
    readonly isRead?: boolean;
    /**
     *
     * @type {number}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsPost operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsPostRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsPostRequest {
    /**
     * The tenant identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsPost
     */
    readonly tenantId: string;
    /**
     * The command to create a chat session.
     * @type {CreateChatSessionCommand}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsPost
     */
    readonly createChatSessionCommand?: CreateChatSessionCommand;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdCheckPost operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdCheckPostRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdCheckPostRequest {
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdCheckPost
     */
    readonly tenantId: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdCheckPost
     */
    readonly sessionId: string;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdConvertsigninuserPost operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdConvertsigninuserPostRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdConvertsigninuserPostRequest {
    /**
     * The tenant identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdConvertsigninuserPost
     */
    readonly tenantId: string;
    /**
     * The session identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdConvertsigninuserPost
     */
    readonly sessionId: string;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdDelete operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdDeleteRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdDeleteRequest {
    /**
     * The tenant identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdDelete
     */
    readonly tenantId: string;
    /**
     * The session identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdDelete
     */
    readonly sessionId: string;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdGet operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdGetRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdGetRequest {
    /**
     * The tenant identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdGet
     */
    readonly tenantId: string;
    /**
     * The session identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdGet
     */
    readonly sessionId: string;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdIntakeformsGet operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsGetRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsGetRequest {
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsGet
     */
    readonly tenantId: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsGet
     */
    readonly sessionId: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsGet
     */
    readonly id?: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsGet
     */
    readonly tenantId2?: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsGet
     */
    readonly userId?: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsGet
     */
    readonly phoneNumber?: string;
    /**
     *
     * @type {number}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDeleteRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete
     */
    readonly tenantId: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete
     */
    readonly sessionId: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete
     */
    readonly intakeFormId: string;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGetRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet
     */
    readonly tenantId: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet
     */
    readonly sessionId: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet
     */
    readonly intakeFormId: string;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatchRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatchRequest {
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch
     */
    readonly tenantId: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch
     */
    readonly sessionId: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch
     */
    readonly intakeFormId: string;
    /**
     *
     * @type {PatchIntakeFormCommand}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch
     */
    readonly patchIntakeFormCommand?: PatchIntakeFormCommand;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdIntakeformsPost operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsPostRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsPostRequest {
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsPost
     */
    readonly tenantId: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsPost
     */
    readonly sessionId: string;
    /**
     *
     * @type {CreateIntakeFormCommand}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsPost
     */
    readonly createIntakeFormCommand?: CreateIntakeFormCommand;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdJoinPost operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdJoinPostRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdJoinPostRequest {
    /**
     * The tenant identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdJoinPost
     */
    readonly tenantId: string;
    /**
     * The session identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdJoinPost
     */
    readonly sessionId: string;
    /**
     * The command to join a chat session.
     * @type {JoinChatSessionCommand}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdJoinPost
     */
    readonly joinChatSessionCommand?: JoinChatSessionCommand;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdLeaveDelete operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdLeaveDeleteRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdLeaveDeleteRequest {
    /**
     * The tenant identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdLeaveDelete
     */
    readonly tenantId: string;
    /**
     * The session identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdLeaveDelete
     */
    readonly sessionId: string;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdMessageSendPost operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdMessageSendPostRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdMessageSendPostRequest {
    /**
     * The tenant identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdMessageSendPost
     */
    readonly tenantId: string;
    /**
     * The session identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdMessageSendPost
     */
    readonly sessionId: string;
    /**
     *
     * @type {File}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdMessageSendPost
     */
    readonly file?: File;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdMessageSendPost
     */
    readonly text?: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdMessageSendPost
     */
    readonly mediaId?: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdMessageSendPost
     */
    readonly caption?: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdMessageSendPost
     */
    readonly link?: string;
    /**
     *
     * @type {MessageTypes}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdMessageSendPost
     */
    readonly messageType?: MessageTypes;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdMessageSendPost
     */
    readonly phoneNumber?: string;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdMessagesGet operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesGetRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesGetRequest {
    /**
     * The tenant identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesGet
     */
    readonly tenantId: string;
    /**
     * The session identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesGet
     */
    readonly sessionId: string;
    /**
     *
     * @type {number}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePutRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePutRequest {
    /**
     * The tenant identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut
     */
    readonly tenantId: string;
    /**
     * The session identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut
     */
    readonly sessionId: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut
     */
    readonly messageId: string;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdPatch operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdPatchRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdPatchRequest {
    /**
     * The tenant identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdPatch
     */
    readonly tenantId: string;
    /**
     * The session identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdPatch
     */
    readonly sessionId: string;
    /**
     * The command to update a chat session.
     * @type {PutChatSessionCommand}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdPatch
     */
    readonly putChatSessionCommand?: PutChatSessionCommand;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdTransferPut operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdTransferPutRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdTransferPutRequest {
    /**
     * The tenant identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdTransferPut
     */
    readonly tenantId: string;
    /**
     * The session identifier.
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdTransferPut
     */
    readonly sessionId: string;
    /**
     * The command to transfer a chat session.
     * @type {TransferManagerCommand}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdTransferPut
     */
    readonly transferManagerCommand?: TransferManagerCommand;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPostRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPostRequest {
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost
     */
    readonly tenantId: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost
     */
    readonly sessionId: string;
    /**
     *
     * @type {ChatSendFlowMessageCommand}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost
     */
    readonly chatSendFlowMessageCommand?: ChatSendFlowMessageCommand;
}
/**
 * Request parameters for apiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost operation in SessionsApi.
 * @export
 * @interface SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPostRequest
 */
export interface SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPostRequest {
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost
     */
    readonly tenantId: string;
    /**
     *
     * @type {string}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost
     */
    readonly sessionId: string;
    /**
     *
     * @type {ChatSendTemplateMessageCommand}
     * @memberof SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost
     */
    readonly chatSendTemplateMessageCommand?: ChatSendTemplateMessageCommand;
}
/**
 * SessionsApi - object-oriented interface
 * @export
 * @class SessionsApi
 * @extends {BaseAPI}
 */
export declare class SessionsApi extends BaseAPI {
    /**
     *
     * @summary Get all chat sessions.
     * @param {SessionsApiApiV1ChatTenantIdSessionsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsGet(requestParameters: SessionsApiApiV1ChatTenantIdSessionsGetRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<ChatSessionsModel, any>>;
    /**
     *
     * @summary Create a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsPost(requestParameters: SessionsApiApiV1ChatTenantIdSessionsPostRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<ChatSessionModel, any>>;
    /**
     *
     * @summary Check if a chat session read message
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdCheckPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdCheckPost(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdCheckPostRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Convert a guest to a signed-in user.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdConvertsigninuserPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdConvertsigninuserPost(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdConvertsigninuserPostRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<ChatSessionModel, any>>;
    /**
     *
     * @summary Delete a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdDelete(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdDeleteRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get chat session by session Id.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdGet(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdGetRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<ChatSessionModel, any>>;
    /**
     *
     * @summary Get intake forms by session id.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsGet(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsGetRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<IntakeFormsModel, any>>;
    /**
     *
     * @summary Delete intake form by id.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDeleteRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get intake form by id.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGetRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<IntakeForm, any>>;
    /**
     *
     * @summary Update intake form by id.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatchRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatchRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<IntakeForm, any>>;
    /**
     *
     * @summary Create a new intake form.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsPost(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsPostRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<IntakeForm, any>>;
    /**
     *
     * @summary Join a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdJoinPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdJoinPost(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdJoinPostRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<ChatParticipant, any>>;
    /**
     *
     * @summary Leave a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdLeaveDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdLeaveDelete(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdLeaveDeleteRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Send a message in a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdMessageSendPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdMessageSendPost(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdMessageSendPostRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<ChatMessage, any>>;
    /**
     *
     * @summary Get messages from a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdMessagesGet(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesGetRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<ChatMessagesModel, any>>;
    /**
     *
     * @summary Reactivate expired media in a chat message.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePutRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<ChatMessage, any>>;
    /**
     *
     * @summary Update a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdPatchRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdPatch(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdPatchRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<ChatSessionsModel, any>>;
    /**
     *
     * @summary Transfer a chat session agent.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdTransferPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdTransferPut(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdTransferPutRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<ChatSessionModel, any>>;
    /**
     *
     * @summary Send whatsapp flow message
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPostRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<ChatMessage, any>>;
    /**
     *
     * @summary Send whatsapp template message
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost(requestParameters: SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPostRequest, options?: RawAxiosRequestConfig): Promise<import("axios").AxiosResponse<ChatMessage, any>>;
}
