"use strict";
/* tslint:disable */
/* eslint-disable */
/**
 * Cloudhospital.ChatApi
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SessionsApi = exports.SessionsApiFactory = exports.SessionsApiFp = exports.SessionsApiAxiosParamCreator = void 0;
const axios_1 = __importDefault(require("axios"));
// Some imports not used depending on template conditions
// @ts-ignore
const common_1 = require("../common");
// @ts-ignore
const base_1 = require("../base");
/**
 * SessionsApi - axios parameter creator
 * @export
 */
const SessionsApiAxiosParamCreator = function (configuration) {
    return {
        /**
         *
         * @summary Get all chat sessions.
         * @param {string} tenantId The tenant identifier.
         * @param {string} [id]
         * @param {Array<string>} [assigneeIds]
         * @param {Array<ChatSessionStatus>} [chatSessionStatus]
         * @param {string} [title]
         * @param {string} [userName]
         * @param {string} [userEmail]
         * @param {SortBy} [sortBy]
         * @param {boolean} [isRead]
         * @param {number} [page]
         * @param {number} [limit]
         * @param {Date} [lastRetrieved]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsGet: (tenantId_1, id_1, assigneeIds_1, chatSessionStatus_1, title_1, userName_1, userEmail_1, sortBy_1, isRead_1, page_1, limit_1, lastRetrieved_1, ...args_1) => __awaiter(this, [tenantId_1, id_1, assigneeIds_1, chatSessionStatus_1, title_1, userName_1, userEmail_1, sortBy_1, isRead_1, page_1, limit_1, lastRetrieved_1, ...args_1], void 0, function* (tenantId, id, assigneeIds, chatSessionStatus, title, userName, userEmail, sortBy, isRead, page, limit, lastRetrieved, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsGet', 'tenantId', tenantId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            if (id !== undefined) {
                localVarQueryParameter['Id'] = id;
            }
            if (assigneeIds) {
                localVarQueryParameter['AssigneeIds'] = assigneeIds;
            }
            if (chatSessionStatus) {
                localVarQueryParameter['ChatSessionStatus'] = chatSessionStatus;
            }
            if (title !== undefined) {
                localVarQueryParameter['Title'] = title;
            }
            if (userName !== undefined) {
                localVarQueryParameter['UserName'] = userName;
            }
            if (userEmail !== undefined) {
                localVarQueryParameter['UserEmail'] = userEmail;
            }
            if (sortBy !== undefined) {
                localVarQueryParameter['SortBy'] = sortBy;
            }
            if (isRead !== undefined) {
                localVarQueryParameter['IsRead'] = isRead;
            }
            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }
            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }
            if (lastRetrieved !== undefined) {
                localVarQueryParameter['lastRetrieved'] = (lastRetrieved instanceof Date) ?
                    lastRetrieved.toISOString() :
                    lastRetrieved;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Create a chat session.
         * @param {string} tenantId The tenant identifier.
         * @param {CreateChatSessionCommand} [createChatSessionCommand] The command to create a chat session.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsPost: (tenantId_1, createChatSessionCommand_1, ...args_1) => __awaiter(this, [tenantId_1, createChatSessionCommand_1, ...args_1], void 0, function* (tenantId, createChatSessionCommand, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsPost', 'tenantId', tenantId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'POST' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(createChatSessionCommand, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Check if a chat session read message
         * @param {string} tenantId
         * @param {string} sessionId
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdCheckPost: (tenantId_1, sessionId_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, ...args_1], void 0, function* (tenantId, sessionId, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdCheckPost', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdCheckPost', 'sessionId', sessionId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}/check`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'POST' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Convert a guest to a signed-in user.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdConvertsigninuserPost: (tenantId_1, sessionId_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, ...args_1], void 0, function* (tenantId, sessionId, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdConvertsigninuserPost', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdConvertsigninuserPost', 'sessionId', sessionId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}/convertsigninuser`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'POST' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Delete a chat session.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdDelete: (tenantId_1, sessionId_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, ...args_1], void 0, function* (tenantId, sessionId, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdDelete', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdDelete', 'sessionId', sessionId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'DELETE' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Get chat session by session Id.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdGet: (tenantId_1, sessionId_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, ...args_1], void 0, function* (tenantId, sessionId, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdGet', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdGet', 'sessionId', sessionId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Get intake forms by session id.
         * @param {string} tenantId
         * @param {string} sessionId
         * @param {string} [id]
         * @param {string} [tenantId2]
         * @param {string} [userId]
         * @param {string} [phoneNumber]
         * @param {number} [page]
         * @param {number} [limit]
         * @param {Date} [lastRetrieved]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdIntakeformsGet: (tenantId_1, sessionId_1, id_1, tenantId2_1, userId_1, phoneNumber_1, page_1, limit_1, lastRetrieved_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, id_1, tenantId2_1, userId_1, phoneNumber_1, page_1, limit_1, lastRetrieved_1, ...args_1], void 0, function* (tenantId, sessionId, id, tenantId2, userId, phoneNumber, page, limit, lastRetrieved, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdIntakeformsGet', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdIntakeformsGet', 'sessionId', sessionId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}/intakeforms`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            if (id !== undefined) {
                localVarQueryParameter['Id'] = id;
            }
            if (tenantId2 !== undefined) {
                localVarQueryParameter['TenantId'] = tenantId2;
            }
            if (userId !== undefined) {
                localVarQueryParameter['UserId'] = userId;
            }
            if (phoneNumber !== undefined) {
                localVarQueryParameter['PhoneNumber'] = phoneNumber;
            }
            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }
            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }
            if (lastRetrieved !== undefined) {
                localVarQueryParameter['lastRetrieved'] = (lastRetrieved instanceof Date) ?
                    lastRetrieved.toISOString() :
                    lastRetrieved;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Delete intake form by id.
         * @param {string} tenantId
         * @param {string} sessionId
         * @param {string} intakeFormId
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete: (tenantId_1, sessionId_1, intakeFormId_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, intakeFormId_1, ...args_1], void 0, function* (tenantId, sessionId, intakeFormId, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete', 'sessionId', sessionId);
            // verify required parameter 'intakeFormId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete', 'intakeFormId', intakeFormId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}/intakeforms/{intakeFormId}`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)))
                .replace(`{${"intakeFormId"}}`, encodeURIComponent(String(intakeFormId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'DELETE' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Get intake form by id.
         * @param {string} tenantId
         * @param {string} sessionId
         * @param {string} intakeFormId
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet: (tenantId_1, sessionId_1, intakeFormId_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, intakeFormId_1, ...args_1], void 0, function* (tenantId, sessionId, intakeFormId, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet', 'sessionId', sessionId);
            // verify required parameter 'intakeFormId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet', 'intakeFormId', intakeFormId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}/intakeforms/{intakeFormId}`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)))
                .replace(`{${"intakeFormId"}}`, encodeURIComponent(String(intakeFormId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Update intake form by id.
         * @param {string} tenantId
         * @param {string} sessionId
         * @param {string} intakeFormId
         * @param {PatchIntakeFormCommand} [patchIntakeFormCommand]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch: (tenantId_1, sessionId_1, intakeFormId_1, patchIntakeFormCommand_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, intakeFormId_1, patchIntakeFormCommand_1, ...args_1], void 0, function* (tenantId, sessionId, intakeFormId, patchIntakeFormCommand, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch', 'sessionId', sessionId);
            // verify required parameter 'intakeFormId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch', 'intakeFormId', intakeFormId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}/intakeforms/{intakeFormId}/items`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)))
                .replace(`{${"intakeFormId"}}`, encodeURIComponent(String(intakeFormId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'PATCH' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(patchIntakeFormCommand, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Create a new intake form.
         * @param {string} tenantId
         * @param {string} sessionId
         * @param {CreateIntakeFormCommand} [createIntakeFormCommand]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdIntakeformsPost: (tenantId_1, sessionId_1, createIntakeFormCommand_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, createIntakeFormCommand_1, ...args_1], void 0, function* (tenantId, sessionId, createIntakeFormCommand, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdIntakeformsPost', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdIntakeformsPost', 'sessionId', sessionId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}/intakeforms`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'POST' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(createIntakeFormCommand, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Join a chat session.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {JoinChatSessionCommand} [joinChatSessionCommand] The command to join a chat session.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdJoinPost: (tenantId_1, sessionId_1, joinChatSessionCommand_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, joinChatSessionCommand_1, ...args_1], void 0, function* (tenantId, sessionId, joinChatSessionCommand, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdJoinPost', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdJoinPost', 'sessionId', sessionId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}/join`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'POST' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(joinChatSessionCommand, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Leave a chat session.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdLeaveDelete: (tenantId_1, sessionId_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, ...args_1], void 0, function* (tenantId, sessionId, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdLeaveDelete', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdLeaveDelete', 'sessionId', sessionId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}/leave`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'DELETE' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Send a message in a chat session.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {File} [file]
         * @param {string} [text]
         * @param {string} [mediaId]
         * @param {string} [caption]
         * @param {string} [link]
         * @param {MessageTypes} [messageType]
         * @param {string} [phoneNumber]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdMessageSendPost: (tenantId_1, sessionId_1, file_1, text_1, mediaId_1, caption_1, link_1, messageType_1, phoneNumber_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, file_1, text_1, mediaId_1, caption_1, link_1, messageType_1, phoneNumber_1, ...args_1], void 0, function* (tenantId, sessionId, file, text, mediaId, caption, link, messageType, phoneNumber, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdMessageSendPost', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdMessageSendPost', 'sessionId', sessionId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}/message/send`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'POST' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            const localVarFormParams = new ((configuration && configuration.formDataCtor) || FormData)();
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            if (file !== undefined) {
                localVarFormParams.append('File', file);
            }
            if (text !== undefined) {
                localVarFormParams.append('Text', text);
            }
            if (mediaId !== undefined) {
                localVarFormParams.append('MediaId', mediaId);
            }
            if (caption !== undefined) {
                localVarFormParams.append('Caption', caption);
            }
            if (link !== undefined) {
                localVarFormParams.append('Link', link);
            }
            if (messageType !== undefined) {
                localVarFormParams.append('MessageType', messageType);
            }
            if (phoneNumber !== undefined) {
                localVarFormParams.append('PhoneNumber', phoneNumber);
            }
            localVarHeaderParameter['Content-Type'] = 'multipart/form-data';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            localVarRequestOptions.data = localVarFormParams;
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Get messages from a chat session.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {number} [page]
         * @param {number} [limit]
         * @param {Date} [lastRetrieved]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdMessagesGet: (tenantId_1, sessionId_1, page_1, limit_1, lastRetrieved_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, page_1, limit_1, lastRetrieved_1, ...args_1], void 0, function* (tenantId, sessionId, page, limit, lastRetrieved, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdMessagesGet', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdMessagesGet', 'sessionId', sessionId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}/messages`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }
            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }
            if (lastRetrieved !== undefined) {
                localVarQueryParameter['lastRetrieved'] = (lastRetrieved instanceof Date) ?
                    lastRetrieved.toISOString() :
                    lastRetrieved;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Reactivate expired media in a chat message.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {string} messageId
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut: (tenantId_1, sessionId_1, messageId_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, messageId_1, ...args_1], void 0, function* (tenantId, sessionId, messageId, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut', 'sessionId', sessionId);
            // verify required parameter 'messageId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut', 'messageId', messageId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}/messages/{messageId}/media/reactivate`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)))
                .replace(`{${"messageId"}}`, encodeURIComponent(String(messageId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'PUT' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Update a chat session.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {PutChatSessionCommand} [putChatSessionCommand] The command to update a chat session.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdPatch: (tenantId_1, sessionId_1, putChatSessionCommand_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, putChatSessionCommand_1, ...args_1], void 0, function* (tenantId, sessionId, putChatSessionCommand, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdPatch', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdPatch', 'sessionId', sessionId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'PATCH' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(putChatSessionCommand, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Transfer a chat session agent.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {TransferManagerCommand} [transferManagerCommand] The command to transfer a chat session.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdTransferPut: (tenantId_1, sessionId_1, transferManagerCommand_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, transferManagerCommand_1, ...args_1], void 0, function* (tenantId, sessionId, transferManagerCommand, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdTransferPut', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdTransferPut', 'sessionId', sessionId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}/transfer`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'PUT' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(transferManagerCommand, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Send whatsapp flow message
         * @param {string} tenantId
         * @param {string} sessionId
         * @param {ChatSendFlowMessageCommand} [chatSendFlowMessageCommand]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost: (tenantId_1, sessionId_1, chatSendFlowMessageCommand_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, chatSendFlowMessageCommand_1, ...args_1], void 0, function* (tenantId, sessionId, chatSendFlowMessageCommand, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost', 'sessionId', sessionId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}/whatsapp/flow/message/send`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'POST' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatSendFlowMessageCommand, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
        /**
         *
         * @summary Send whatsapp template message
         * @param {string} tenantId
         * @param {string} sessionId
         * @param {ChatSendTemplateMessageCommand} [chatSendTemplateMessageCommand]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost: (tenantId_1, sessionId_1, chatSendTemplateMessageCommand_1, ...args_1) => __awaiter(this, [tenantId_1, sessionId_1, chatSendTemplateMessageCommand_1, ...args_1], void 0, function* (tenantId, sessionId, chatSendTemplateMessageCommand, options = {}) {
            // verify required parameter 'tenantId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost', 'tenantId', tenantId);
            // verify required parameter 'sessionId' is not null or undefined
            (0, common_1.assertParamExists)('apiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost', 'sessionId', sessionId);
            const localVarPath = `/api/v1/chat/{tenantId}/sessions/{sessionId}/whatsapp/template/message/send`
                .replace(`{${"tenantId"}}`, encodeURIComponent(String(tenantId)))
                .replace(`{${"sessionId"}}`, encodeURIComponent(String(sessionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'POST' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication oauth2 required
            // oauth required
            yield (0, common_1.setOAuthToObject)(localVarHeaderParameter, "oauth2", ["cloudhospital_chat_api"], configuration);
            localVarHeaderParameter['Content-Type'] = 'application/json';
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            localVarRequestOptions.data = (0, common_1.serializeDataIfNeeded)(chatSendTemplateMessageCommand, localVarRequestOptions, configuration);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        }),
    };
};
exports.SessionsApiAxiosParamCreator = SessionsApiAxiosParamCreator;
/**
 * SessionsApi - functional programming interface
 * @export
 */
const SessionsApiFp = function (configuration) {
    const localVarAxiosParamCreator = (0, exports.SessionsApiAxiosParamCreator)(configuration);
    return {
        /**
         *
         * @summary Get all chat sessions.
         * @param {string} tenantId The tenant identifier.
         * @param {string} [id]
         * @param {Array<string>} [assigneeIds]
         * @param {Array<ChatSessionStatus>} [chatSessionStatus]
         * @param {string} [title]
         * @param {string} [userName]
         * @param {string} [userEmail]
         * @param {SortBy} [sortBy]
         * @param {boolean} [isRead]
         * @param {number} [page]
         * @param {number} [limit]
         * @param {Date} [lastRetrieved]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsGet(tenantId, id, assigneeIds, chatSessionStatus, title, userName, userEmail, sortBy, isRead, page, limit, lastRetrieved, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsGet(tenantId, id, assigneeIds, chatSessionStatus, title, userName, userEmail, sortBy, isRead, page, limit, lastRetrieved, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsGet']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Create a chat session.
         * @param {string} tenantId The tenant identifier.
         * @param {CreateChatSessionCommand} [createChatSessionCommand] The command to create a chat session.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsPost(tenantId, createChatSessionCommand, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsPost(tenantId, createChatSessionCommand, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsPost']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Check if a chat session read message
         * @param {string} tenantId
         * @param {string} sessionId
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdCheckPost(tenantId, sessionId, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdCheckPost(tenantId, sessionId, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdCheckPost']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Convert a guest to a signed-in user.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdConvertsigninuserPost(tenantId, sessionId, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdConvertsigninuserPost(tenantId, sessionId, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdConvertsigninuserPost']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Delete a chat session.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdDelete(tenantId, sessionId, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdDelete(tenantId, sessionId, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdDelete']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Get chat session by session Id.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdGet(tenantId, sessionId, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdGet(tenantId, sessionId, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdGet']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Get intake forms by session id.
         * @param {string} tenantId
         * @param {string} sessionId
         * @param {string} [id]
         * @param {string} [tenantId2]
         * @param {string} [userId]
         * @param {string} [phoneNumber]
         * @param {number} [page]
         * @param {number} [limit]
         * @param {Date} [lastRetrieved]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdIntakeformsGet(tenantId, sessionId, id, tenantId2, userId, phoneNumber, page, limit, lastRetrieved, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdIntakeformsGet(tenantId, sessionId, id, tenantId2, userId, phoneNumber, page, limit, lastRetrieved, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdIntakeformsGet']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Delete intake form by id.
         * @param {string} tenantId
         * @param {string} sessionId
         * @param {string} intakeFormId
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete(tenantId, sessionId, intakeFormId, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete(tenantId, sessionId, intakeFormId, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Get intake form by id.
         * @param {string} tenantId
         * @param {string} sessionId
         * @param {string} intakeFormId
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet(tenantId, sessionId, intakeFormId, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet(tenantId, sessionId, intakeFormId, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Update intake form by id.
         * @param {string} tenantId
         * @param {string} sessionId
         * @param {string} intakeFormId
         * @param {PatchIntakeFormCommand} [patchIntakeFormCommand]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch(tenantId, sessionId, intakeFormId, patchIntakeFormCommand, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch(tenantId, sessionId, intakeFormId, patchIntakeFormCommand, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Create a new intake form.
         * @param {string} tenantId
         * @param {string} sessionId
         * @param {CreateIntakeFormCommand} [createIntakeFormCommand]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdIntakeformsPost(tenantId, sessionId, createIntakeFormCommand, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdIntakeformsPost(tenantId, sessionId, createIntakeFormCommand, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdIntakeformsPost']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Join a chat session.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {JoinChatSessionCommand} [joinChatSessionCommand] The command to join a chat session.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdJoinPost(tenantId, sessionId, joinChatSessionCommand, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdJoinPost(tenantId, sessionId, joinChatSessionCommand, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdJoinPost']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Leave a chat session.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdLeaveDelete(tenantId, sessionId, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdLeaveDelete(tenantId, sessionId, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdLeaveDelete']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Send a message in a chat session.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {File} [file]
         * @param {string} [text]
         * @param {string} [mediaId]
         * @param {string} [caption]
         * @param {string} [link]
         * @param {MessageTypes} [messageType]
         * @param {string} [phoneNumber]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdMessageSendPost(tenantId, sessionId, file, text, mediaId, caption, link, messageType, phoneNumber, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdMessageSendPost(tenantId, sessionId, file, text, mediaId, caption, link, messageType, phoneNumber, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdMessageSendPost']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Get messages from a chat session.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {number} [page]
         * @param {number} [limit]
         * @param {Date} [lastRetrieved]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdMessagesGet(tenantId, sessionId, page, limit, lastRetrieved, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdMessagesGet(tenantId, sessionId, page, limit, lastRetrieved, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdMessagesGet']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Reactivate expired media in a chat message.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {string} messageId
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut(tenantId, sessionId, messageId, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut(tenantId, sessionId, messageId, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Update a chat session.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {PutChatSessionCommand} [putChatSessionCommand] The command to update a chat session.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdPatch(tenantId, sessionId, putChatSessionCommand, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdPatch(tenantId, sessionId, putChatSessionCommand, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdPatch']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Transfer a chat session agent.
         * @param {string} tenantId The tenant identifier.
         * @param {string} sessionId The session identifier.
         * @param {TransferManagerCommand} [transferManagerCommand] The command to transfer a chat session.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdTransferPut(tenantId, sessionId, transferManagerCommand, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdTransferPut(tenantId, sessionId, transferManagerCommand, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdTransferPut']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Send whatsapp flow message
         * @param {string} tenantId
         * @param {string} sessionId
         * @param {ChatSendFlowMessageCommand} [chatSendFlowMessageCommand]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost(tenantId, sessionId, chatSendFlowMessageCommand, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost(tenantId, sessionId, chatSendFlowMessageCommand, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
        /**
         *
         * @summary Send whatsapp template message
         * @param {string} tenantId
         * @param {string} sessionId
         * @param {ChatSendTemplateMessageCommand} [chatSendTemplateMessageCommand]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost(tenantId, sessionId, chatSendTemplateMessageCommand, options) {
            return __awaiter(this, void 0, void 0, function* () {
                var _a, _b, _c;
                const localVarAxiosArgs = yield localVarAxiosParamCreator.apiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost(tenantId, sessionId, chatSendTemplateMessageCommand, options);
                const localVarOperationServerIndex = (_a = configuration === null || configuration === void 0 ? void 0 : configuration.serverIndex) !== null && _a !== void 0 ? _a : 0;
                const localVarOperationServerBasePath = (_c = (_b = base_1.operationServerMap['SessionsApi.apiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost']) === null || _b === void 0 ? void 0 : _b[localVarOperationServerIndex]) === null || _c === void 0 ? void 0 : _c.url;
                return (axios, basePath) => (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration)(axios, localVarOperationServerBasePath || basePath);
            });
        },
    };
};
exports.SessionsApiFp = SessionsApiFp;
/**
 * SessionsApi - factory interface
 * @export
 */
const SessionsApiFactory = function (configuration, basePath, axios) {
    const localVarFp = (0, exports.SessionsApiFp)(configuration);
    return {
        /**
         *
         * @summary Get all chat sessions.
         * @param {SessionsApiApiV1ChatTenantIdSessionsGetRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsGet(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsGet(requestParameters.tenantId, requestParameters.id, requestParameters.assigneeIds, requestParameters.chatSessionStatus, requestParameters.title, requestParameters.userName, requestParameters.userEmail, requestParameters.sortBy, requestParameters.isRead, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Create a chat session.
         * @param {SessionsApiApiV1ChatTenantIdSessionsPostRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsPost(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsPost(requestParameters.tenantId, requestParameters.createChatSessionCommand, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Check if a chat session read message
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdCheckPostRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdCheckPost(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdCheckPost(requestParameters.tenantId, requestParameters.sessionId, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Convert a guest to a signed-in user.
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdConvertsigninuserPostRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdConvertsigninuserPost(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdConvertsigninuserPost(requestParameters.tenantId, requestParameters.sessionId, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Delete a chat session.
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdDeleteRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdDelete(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdDelete(requestParameters.tenantId, requestParameters.sessionId, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Get chat session by session Id.
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdGetRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdGet(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdGet(requestParameters.tenantId, requestParameters.sessionId, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Get intake forms by session id.
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsGetRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdIntakeformsGet(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdIntakeformsGet(requestParameters.tenantId, requestParameters.sessionId, requestParameters.id, requestParameters.tenantId2, requestParameters.userId, requestParameters.phoneNumber, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Delete intake form by id.
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDeleteRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete(requestParameters.tenantId, requestParameters.sessionId, requestParameters.intakeFormId, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Get intake form by id.
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGetRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet(requestParameters.tenantId, requestParameters.sessionId, requestParameters.intakeFormId, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Update intake form by id.
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatchRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch(requestParameters.tenantId, requestParameters.sessionId, requestParameters.intakeFormId, requestParameters.patchIntakeFormCommand, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Create a new intake form.
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsPostRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdIntakeformsPost(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdIntakeformsPost(requestParameters.tenantId, requestParameters.sessionId, requestParameters.createIntakeFormCommand, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Join a chat session.
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdJoinPostRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdJoinPost(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdJoinPost(requestParameters.tenantId, requestParameters.sessionId, requestParameters.joinChatSessionCommand, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Leave a chat session.
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdLeaveDeleteRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdLeaveDelete(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdLeaveDelete(requestParameters.tenantId, requestParameters.sessionId, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Send a message in a chat session.
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdMessageSendPostRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdMessageSendPost(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdMessageSendPost(requestParameters.tenantId, requestParameters.sessionId, requestParameters.file, requestParameters.text, requestParameters.mediaId, requestParameters.caption, requestParameters.link, requestParameters.messageType, requestParameters.phoneNumber, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Get messages from a chat session.
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesGetRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdMessagesGet(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdMessagesGet(requestParameters.tenantId, requestParameters.sessionId, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Reactivate expired media in a chat message.
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePutRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut(requestParameters.tenantId, requestParameters.sessionId, requestParameters.messageId, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Update a chat session.
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdPatchRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdPatch(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdPatch(requestParameters.tenantId, requestParameters.sessionId, requestParameters.putChatSessionCommand, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Transfer a chat session agent.
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdTransferPutRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdTransferPut(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdTransferPut(requestParameters.tenantId, requestParameters.sessionId, requestParameters.transferManagerCommand, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Send whatsapp flow message
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPostRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost(requestParameters.tenantId, requestParameters.sessionId, requestParameters.chatSendFlowMessageCommand, options).then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Send whatsapp template message
         * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPostRequest} requestParameters Request parameters.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost(requestParameters, options) {
            return localVarFp.apiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost(requestParameters.tenantId, requestParameters.sessionId, requestParameters.chatSendTemplateMessageCommand, options).then((request) => request(axios, basePath));
        },
    };
};
exports.SessionsApiFactory = SessionsApiFactory;
/**
 * SessionsApi - object-oriented interface
 * @export
 * @class SessionsApi
 * @extends {BaseAPI}
 */
class SessionsApi extends base_1.BaseAPI {
    /**
     *
     * @summary Get all chat sessions.
     * @param {SessionsApiApiV1ChatTenantIdSessionsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsGet(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsGet(requestParameters.tenantId, requestParameters.id, requestParameters.assigneeIds, requestParameters.chatSessionStatus, requestParameters.title, requestParameters.userName, requestParameters.userEmail, requestParameters.sortBy, requestParameters.isRead, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Create a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsPost(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsPost(requestParameters.tenantId, requestParameters.createChatSessionCommand, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Check if a chat session read message
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdCheckPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdCheckPost(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdCheckPost(requestParameters.tenantId, requestParameters.sessionId, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Convert a guest to a signed-in user.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdConvertsigninuserPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdConvertsigninuserPost(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdConvertsigninuserPost(requestParameters.tenantId, requestParameters.sessionId, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Delete a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdDelete(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdDelete(requestParameters.tenantId, requestParameters.sessionId, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Get chat session by session Id.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdGet(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdGet(requestParameters.tenantId, requestParameters.sessionId, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Get intake forms by session id.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsGet(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdIntakeformsGet(requestParameters.tenantId, requestParameters.sessionId, requestParameters.id, requestParameters.tenantId2, requestParameters.userId, requestParameters.phoneNumber, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Delete intake form by id.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdDelete(requestParameters.tenantId, requestParameters.sessionId, requestParameters.intakeFormId, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Get intake form by id.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdGet(requestParameters.tenantId, requestParameters.sessionId, requestParameters.intakeFormId, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Update intake form by id.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatchRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdIntakeformsIntakeFormIdItemsPatch(requestParameters.tenantId, requestParameters.sessionId, requestParameters.intakeFormId, requestParameters.patchIntakeFormCommand, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Create a new intake form.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdIntakeformsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdIntakeformsPost(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdIntakeformsPost(requestParameters.tenantId, requestParameters.sessionId, requestParameters.createIntakeFormCommand, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Join a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdJoinPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdJoinPost(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdJoinPost(requestParameters.tenantId, requestParameters.sessionId, requestParameters.joinChatSessionCommand, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Leave a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdLeaveDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdLeaveDelete(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdLeaveDelete(requestParameters.tenantId, requestParameters.sessionId, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Send a message in a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdMessageSendPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdMessageSendPost(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdMessageSendPost(requestParameters.tenantId, requestParameters.sessionId, requestParameters.file, requestParameters.text, requestParameters.mediaId, requestParameters.caption, requestParameters.link, requestParameters.messageType, requestParameters.phoneNumber, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Get messages from a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdMessagesGet(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdMessagesGet(requestParameters.tenantId, requestParameters.sessionId, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Reactivate expired media in a chat message.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdMessagesMessageIdMediaReactivatePut(requestParameters.tenantId, requestParameters.sessionId, requestParameters.messageId, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Update a chat session.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdPatchRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdPatch(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdPatch(requestParameters.tenantId, requestParameters.sessionId, requestParameters.putChatSessionCommand, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Transfer a chat session agent.
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdTransferPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdTransferPut(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdTransferPut(requestParameters.tenantId, requestParameters.sessionId, requestParameters.transferManagerCommand, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Send whatsapp flow message
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdWhatsappFlowMessageSendPost(requestParameters.tenantId, requestParameters.sessionId, requestParameters.chatSendFlowMessageCommand, options).then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Send whatsapp template message
     * @param {SessionsApiApiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SessionsApi
     */
    apiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost(requestParameters, options) {
        return (0, exports.SessionsApiFp)(this.configuration).apiV1ChatTenantIdSessionsSessionIdWhatsappTemplateMessageSendPost(requestParameters.tenantId, requestParameters.sessionId, requestParameters.chatSendTemplateMessageCommand, options).then((request) => request(this.axios, this.basePath));
    }
}
exports.SessionsApi = SessionsApi;
//# sourceMappingURL=sessions-api.js.map